{-# LANGUAGE OverloadedStrings #-}
module Weekdays where

import qualified Data.Text as T

weekdays :: [(String, [T.Text])]
weekdays = [
  ("aa_DJ.UTF-8", ["kam", "gum", "sab", "aca", "etl", "tal", "arb"]),
  ("aa_ER", ["Kam", "Gum", "Sab", "Aca", "Etl", "Tal", "Arb"]),
  ("aa_ER@saaho", ["Cam", "Jum", "Qun", "Nab", "San", "Sal", "Rab"]),
  ("aa_ET", ["Kam", "Gum", "Sab", "Aca", "Etl", "Tal", "Arb"]),
  ("af_ZA.UTF-8", ["Do", "Vr", "Sa", "So", "Ma", "Di", "Wo"]),
  ("am_ET", ["ሐሙስ", "ዓርብ", "ቅዳሜ", "እሑድ", "ሰኞ ", "ማክሰ", "ረቡዕ"]),
  ("an_ES.UTF-8", ["chu", "bie", "sab", "dom", "lun", "mar", "mie"]),
  ("ar_AE.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_BH.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_DZ.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_EG.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_IN", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_IQ.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_JO.UTF-8", ["الخميس", "الجمعة", "السبت", "الأحد", "الاثنين", "الثلاثاء", "الأربعاء"]),
  ("ar_KW.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_LB.UTF-8", ["الخميس", "الجمعة", "السبت", "الأحد", "الاثنين", "الثلاثاء", "الأربعاء"]),
  ("ar_LY.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_MA.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_OM.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_QA.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_SA.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("ar_SD.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_SY.UTF-8", ["الخميس", "الجمعة", "السبت", "الأحد", "الاثنين", "الثلاثاء", "الأربعاء"]),
  ("ar_TN.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("ar_YE.UTF-8", ["خ", "ج", "س", "ح", "ن", "ث", "ر"]),
  ("az_AZ.UTF-8", ["cax", "cüm", "şnb", "baz", "ber", "çax", "çər"]),
  ("as_IN.UTF-8", ["বৃহষ্পতি", "শুক্ৰ", "শনি", "দেও", "সোম", "মঙ্গল", "বুধ"]),
  ("ast_ES.UTF-8", ["xue", "vie", "sáb", "dom", "llu", "mar", "mié"]),
  ("be_BY.UTF-8", ["Чцв", "Пят", "Суб", "Няд", "Пан", "Аўт", "Срд"]),
  ("be_BY@latin", ["Čać", "Pia", "Sub", "Nia", "Pan", "Aŭt", "Sie"]),
  ("bem_ZM", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("ber_DZ", ["dör", "beş", "alt", "baz", "bir", "iki", "üçü"]),
  ("ber_MA", ["dör", "beş", "alt", "baz", "bir", "iki", "üçü"]),
  ("bg_BG.UTF-8", ["чт", "пт", "сб", "нд", "пн", "вт", "ср"]),
  ("bn_BD", ["বৃহঃ", "শুক্র", "শনি", "রবি", "সোম", "মঙ্গল", "বুধ"]),
  ("bn_IN", ["বৃহস্পতি", "শুক্র", "শনি", "রবি", "সোম", "মঙ্গল", "বুধ"]),
  ("bo_CN", ["པུར་", "སངས་", "སྤེན་", "ཉི་", "ཟླ་", "མིར་", "ལྷག་"]),
  ("bo_IN", ["པུར་", "སངས་", "སྤེན་", "ཉི་", "ཟླ་", "མིར་", "ལྷག་"]),
  ("br_FR.UTF-8", ["yao", "gwe", "sad", "sul", "lun", "meu", "mer"]),
  ("bs_BA.UTF-8", ["Čet", "Pet", "Sub", "Ned", "Pon", "Uto", "Sri"]),
  ("byn_ER", ["ኣምድ", "ኣርብ", "ሰ/ሽ", "ሰ/ቅ", "ሰኑ", "ሰሊጝ", "ለጓ"]),
  ("ca_AD.UTF-8", ["dj", "dv", "ds", "dg", "dl", "dt", "dc"]),
  ("ca_ES.UTF-8", ["dj", "dv", "ds", "dg", "dl", "dt", "dc"]),
  ("ca_ES.UTF-8@valencia", ["dj", "dv", "ds", "dg", "dl", "dt", "dc"]),
  ("ca_FR.UTF-8", ["dj", "dv", "ds", "dg", "dl", "dt", "dc"]),
  ("ca_IT.UTF-8", ["dj", "dv", "ds", "dg", "dl", "dt", "dc"]),
  ("crh_UA", ["Caq", "Cum", "Cer", "Baz", "Ber", "Sal", "Çar"]),
  ("cs_CZ.UTF-8", ["Čt", "Pá", "So", "Ne", "Po", "Út", "St"]),
  ("csb_PL", ["czw", "pią", "sob", "nie", "pòn", "wtó", "str"]),
  ("cv_RU", ["kş", "er", "šm", "vr", "tn", "yt", "jn"]),
  ("cy_GB.UTF-8", ["Iau", "Gwe", "Sad", "Sul", "Llu", "Maw", "Mer"]),
  ("da_DK.UTF-8", ["tor", "fre", "lør", "søn", "man", "tir", "ons"]),
  ("de_AT.UTF-8", ["Don", "Fre", "Sam", "Son", "Mon", "Die", "Mit"]),
  ("de_BE.UTF-8", ["Don", "Fre", "Sam", "Son", "Mon", "Die", "Mit"]),
  ("de_CH.UTF-8", ["Don", "Fre", "Sam", "Son", "Mon", "Die", "Mit"]),
  ("de_DE.UTF-8", ["Do", "Fr", "Sa", "So", "Mo", "Di", "Mi"]),
  ("de_LI.UTF-8", ["Don", "Fre", "Sam", "Son", "Mon", "Die", "Mit"]),
  ("de_LU.UTF-8", ["Don", "Fre", "Sam", "Son", "Mon", "Die", "Mit"]),
  ("dv_MV", ["ބުރާސްފަތި", "ހުކުރު", "ހޮނިހިރު", "އާދީއްތަ", "ހޯމަ", "އަންގާރަ", "ބުދަ"]),
  ("dz_BT", ["སངས་", "སྤེན་", "ཉི་", "ཟླ་", "མིར་", "ལྷག་", "པུར་"]),
  ("el_GR.UTF-8", ["Πεμ", "Παρ", "Σαβ", "Κυρ", "Δευ", "Τρι", "Τετ"]),
  ("el_CY.UTF-8", ["Πεμ", "Παρ", "Σαβ", "Κυρ", "Δευ", "Τρι", "Τετ"]),
  ("en_AG", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_AU.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_BW.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_CA.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_DK.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_GB.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_HK.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_IE.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_IN", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_NG", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_NZ.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_PH.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_SG.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_US.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_ZA.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_ZM", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("en_ZW.UTF-8", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("eo.UTF-8", ["ĵaŭ", "ven", "sab", "dim", "lun", "mar", "mer"]),
  ("es_AR.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_BO.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_CL.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_CO.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_CR.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_DO.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_EC.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_ES.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_GT.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_HN.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_MX.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_NI.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_PA.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_PE.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_PR.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_PY.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_SV.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_US.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_UY.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("es_VE.UTF-8", ["jue", "vie", "sáb", "dom", "lun", "mar", "mié"]),
  ("et_EE.UTF-8", ["N", "R", "L", "P", "E", "T", "K"]),
  ("eu_ES.UTF-8", ["og.", "or.", "lr.", "ig.", "al.", "ar.", "az."]),
  ("eu_FR.UTF-8", ["og.", "or.", "lr.", "ig.", "al.", "ar.", "az."]),
-- TODO: lexical error in Haskell
--  ("fa_IR", ["پنجشنبه", "جمعه", "شنبه", "یکشنبه", "دوشنبه", "سه‌شنبه", "چهارشنبه"]),
  ("ff_SN", ["naa", "mwd", "hbi", "dew", "aaɓ", "maw", "nje"]),
  ("fi_FI.UTF-8", ["to", "pe", "la", "su", "ma", "ti", "ke"]),
  ("fil_PH", ["Huw", "Biy", "Sab", "Lin", "Lun", "Mar", "Miy"]),
  ("fo_FO.UTF-8", ["hós", "frí", "ley", "sun", "mán", "týs", "mik"]),
  ("fr_BE.UTF-8", ["jeu", "ven", "sam", "dim", "lun", "mar", "mer"]),
  ("fr_CA.UTF-8", ["jeu", "ven", "sam", "dim", "lun", "mar", "mer"]),
  ("fr_CH.UTF-8", ["jeu", "ven", "sam", "dim", "lun", "mar", "mer"]),
  ("fr_FR.UTF-8", ["jeu.", "ven.", "sam.", "dim.", "lun.", "mar.", "mer."]),
  ("fr_LU.UTF-8", ["jeu", "ven", "sam", "dim", "lun", "mar", "mer"]),
  ("fur_IT", ["Joi", "Vin", "Sab", "Dom", "Lun", "Mar", "Mia"]),
  ("fy_NL", ["To", "Fr", "Sn", "Sn", "Mo", "Ti", "Wo"]),
  ("fy_DE", ["Ddg", "Fdg", "Swd", "Sdg", "Mdg", "Dsg", "Mwk"]),
  ("ga_IE.UTF-8", ["Déar", "Aoine", "Sath", "Domh", "Luan", "Máirt", "Céad"]),
  ("gd_GB.UTF-8", ["Diar", "Diha", "Disa", "Dido", "Dilu", "Dim", "Dic"]),
  ("gez_ER", ["ሐሙስ", "ዓርበ", "ቀዳሚ", "እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ"]),
  ("gez_ER@abegede", ["ሐሙስ", "ዓርበ", "ቀዳሚ", "እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ"]),
  ("gez_ET", ["ሐሙስ", "ዓርበ", "ቀዳሚ", "እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ"]),
  ("gez_ET@abegede", ["ሐሙስ", "ዓርበ", "ቀዳሚ", "እኁድ", "ሰኑይ", "ሠሉስ", "ራብዕ"]),
  ("gl_ES.UTF-8", ["Xov", "Ven", "Sáb", "Dom", "Lun", "Mar", "Mér"]),
  ("gu_IN", ["ગુરુ", "શુક્ર", "શનિ", "રવિ", "સોમ", "મંગળ", "બુધ"]),
  ("gv_GB.UTF-8", ["Jerd", "Jeh", "Jes", "Jed", "Jel", "Jem", "Jerc"]),
  ("ha_NG", ["Alh", "Jum", "Asa", "Lah", "Lit", "Tal", "Lar"]),
  ("he_IL.UTF-8", ["ה'", "ו'", "ש'", "א'", "ב'", "ג'", "ד'"]),
  ("hi_IN", ["गुरु ", "शुक्र ", "शनि ", "रवि ", "सोम ", "मंगल ", "बुध "]),
  ("hne_IN", ["बिर ", "सुक", "सनि", "इत ", "सोम ", "मंग ", "बुध "]),
  ("hr_HR.UTF-8", ["Čet", "Pet", "Sub", "Ned", "Pon", "Uto", "Sri"]),
  ("hsb_DE.UTF-8", ["Št", "Pj", "So", "Nj", "Pó", "Wu", "Sr"]),
  ("ht_HT", ["jEd.", "van.", "sam.", "dim.", "lEn.", "mad.", "mèk."]),
  ("hu_HU.UTF-8", ["cs", "p", "szo", "v", "h", "k", "sze"]),
  ("hy_AM", ["Հնգ", "Ուր", "Շբթ", "Կրկ", "Երկ", "Երք", "Չրք"]),
  ("ia", ["jov", "ven", "sab", "dom", "lun", "mar", "mer"]),
  ("id_ID.UTF-8", ["Kam", "Jum", "Sab", "Min", "Sen", "Sel", "Rab"]),
  ("ig_NG", ["tọs", "fra", "sat", "sọn", "mọn", "tuz", "wen"]),
  ("ik_CA", ["Sis", "Tal", "Maq", "Min", "Sav", "Ila", "Qit"]),
  ("is_IS.UTF-8", ["fim", "fös", "lau", "sun", "mán", "þri", "mið"]),
  ("it_CH.UTF-8", ["gio", "ven", "sab", "dom", "lun", "mar", "mer"]),
  ("it_IT.UTF-8", ["gio", "ven", "sab", "dom", "lun", "mar", "mer"]),
  ("iu_CA", ["ᕿ", "ᐅ", "ᓯ", "ᓈ", "ᓇ", "ᓕ", "ᐱ"]),
  ("iw_IL.UTF-8", ["ה'", "ו'", "ש'", "א'", "ב'", "ג'", "ד'"]),
  ("ja_JP.UTF-8", ["木", "金", "土", "日", "月", "火", "水"]),
  ("ka_GE.UTF-8", ["ხუთ", "პარ", "შაბ", "კვი", "ორშ", "სამ", "ოთხ"]),
  ("kk_KZ.UTF-8", ["Бс", "Жм", "Сн", "Жк", "Дс", "Сс", "Ср"]),
  ("kl_GL.UTF-8", ["sis", "tal", "arf", "sab", "ata", "mar", "pin"]),
  ("km_KH", ["ព្រ", "សុ", "ស", "អា", "ច", "អ", "ពុ"]),
  ("kn_IN", ["ಗು", "ಶು", "ಶ", "ರ", "ಸೋ", "ಮಂ", "ಬು"]),
  ("ko_KR.UTF-8", ["목", "금", "토", "일", "월", "화", "수"]),
  ("kok_IN", ["बेरेसतार", "शुकरार", "शेनवार", "आयतार", "सोमार", "मंगळवार", "बुधवार"]),
  ("ks_IN", ["برىسوار", "جمع", "بٹوار", "آتهوار", "ژءنتروار", "بوءںوار", "بودهوار"]),
  ("ks_IN@devanagari", ["ब्रस््", "जुम", "बट", "आथ्", "चन्दर्", "बोम्", "बोघ"]),
  ("ku_TR.UTF-8", ["Pş", "În", "Ş", "Yş", "Dş", "Sş", "Çş"]),
  ("kw_GB.UTF-8", ["Yow", "Gwe", "Sad", "Sul", "Lun", "Mth", "Mhr"]),
  ("ky_KG", ["бш", "жм", "иш", "жк", "дш", "ше", "ша"]),
  ("lg_UG.UTF-8", ["Lw4", "Lw5", "Lw6", "Sab", "Bal", "Lw2", "Lw3"]),
-- TODO: lexical error in Haskell
--  ("li_BE", ["dón", "vri", "zo", "zón", "mao", "dae", "goo"]),
--  ("li_NL", ["dón", "vri", "zo", "zón", "mao", "dae", "goo"]),
  ("lo_LA", ["ພຫ.", "ສ.", "ສ.", "ອາ.", "ຈ.", "ຄ.", "ພ."]),
  ("lt_LT.UTF-8", ["Kt", "Pn", "Št", "Sk", "Pr", "An", "Tr"]),
  ("lv_LV.UTF-8", ["C ", "Pk", "S ", "Sv", "P ", "O ", "T "]),
  ("mai_IN", ["गुरु ", "शुक्र ", "शनि ", "रवि ", "सोम ", "मंगल ", "बुध "]),
  ("mg_MG.UTF-8", ["lkm", "zom", "sab", "lhd", "lts", "tlt", "lrb"]),
  ("mi_NZ.UTF-8", ["Tāi", "Pa", "Hā", "Ta", "Ma", "Tū", "We"]),
  ("mk_MK.UTF-8", ["чет", "пет", "саб", "нед", "пон", "вто", "сре"]),
  ("ml_IN", ["വ്യാ", "വെ", "ശ", "ഞാ", "തി", "ചൊ", "ബു"]),
  ("mn_MN", ["Пү", "Ба", "Бя", "Ня", "Да", "Мя", "Лх"]),
  ("mr_IN", ["गुरु", "शुक्र", "शनि", "रवि", "सोम", "मंगळ", "बुध"]),
  ("ms_MY.UTF-8", ["Kha", "Jum", "Sab", "Ahd", "Isn", "Sel", "Rab"]),
  ("mt_MT.UTF-8", ["Ħam", "Ġim", "Sib", "Ħad", "Tne", "Tli", "Erb"]),
  ("my_MM", ["တေး", "သော", "နေ", "နွေ", "လာ", "ဂါ", "ဟူး"]),
  ("nan_TW@latin", ["p4", "p5", "p6", "lp", "p1", "p2", "p3"]),
  ("nb_NO.UTF-8", ["to.", "fr.", "lø.", "sø.", "ma.", "ti.", "on."]),
  ("nds_DE", ["Dunn", "Free", "Svd.", "Sdag", "Maan", "Ding", "Migg"]),
  ("nds_NL", ["Ddg", "Fdg", "Swd", "Sdg", "Mdg", "Dsg", "Mwk"]),
  ("ne_NP", ["बिहि ", "शुक्र ", "शनि ", "आइत ", "सोम ", "मंगल ", "बुध "]),
  ("nl_AW", ["do", "vr", "za", "zo", "ma", "di", "wo"]),
  ("nl_BE.UTF-8", ["do", "vr", "za", "zo", "ma", "di", "wo"]),
  ("nl_NL.UTF-8", ["do", "vr", "za", "zo", "ma", "di", "wo"]),
  ("nn_NO.UTF-8", ["to.", "fr.", "la.", "su.", "må.", "ty.", "on."]),
  ("nr_ZA", ["Ne", "Hla", "Gqi", "Son", "Mvu", "Bil", "Tha"]),
  ("nso_ZA", ["Ne", "Hla", "Mok", "Son", "Moš", "Bed", "Rar"]),
  ("oc_FR.UTF-8", ["jòu", "ven", "sab", "dim", "lun", "mar", "mec"]),
  ("om_ET", ["Kam", "Jim", "San", "Dil", "Wix", "Qib", "Rob"]),
  ("om_KE.UTF-8", ["Kam", "Jim", "San", "Dil", "Wix", "Qib", "Rob"]),
  ("or_IN", ["ଗୁରୁ", "ଶୁକ୍ର", "ଶନି", "ରବି", "ସୋମ", "ମଙ୍ଗଳ", "ବୁଧ"]),
  ("os_RU", ["Цпр", "Мрб", "Сбт", "Хцб", "Крс", "Дцг", "Æрт"]),
  ("pa_IN", ["ਵੀਰ ", "ਸ਼ੁੱਕਰ ", "ਸ਼ਨਿੱਚਰ ", "ਐਤ ", "ਸੋਮ ", "ਮੰਗਲ ", "ਬੁੱਧ "]),
  ("pa_PK", ["جمعرات", "جمعه", "هفته", "اتوار", "پير", "منگل", "بدھ"]),
  ("pap_AN", ["ra", "bi", "sa", "do", "lu", "ma", "we"]),
  ("pl_PL.UTF-8", ["czw", "pią", "sob", "nie", "pon", "wto", "śro"]),
  ("ps_AF", ["پ.", "ج.", "ش.", "ی.", "د.", "س.", "چ."]),
  ("pt_BR.UTF-8", ["Qui", "Sex", "Sáb", "Dom", "Seg", "Ter", "Qua"]),
  ("pt_PT.UTF-8", ["Qui", "Sex", "Sáb", "Dom", "Seg", "Ter", "Qua"]),
  ("ro_RO.UTF-8", ["Jo", "Vi", "Sb", "Du", "Lu", "Ma", "Mi"]),
  ("ru_RU.UTF-8", ["Чтв", "Птн", "Сбт", "Вск", "Пнд", "Втр", "Срд"]),
  ("ru_UA.UTF-8", ["Чтв", "Птн", "Суб", "Вск", "Пнд", "Вто", "Срд"]),
  ("rw_RW", ["Kan", "Gnu", "Gnd", "Mwe", "Mbe", "Kab", "Gtu"]),
  ("sa_IN", ["बृहस्पतिः", "शुक्र", "शनि:", "रविः", "सोम:", "मंगल:", "बुध:"]),
  ("sc_IT", ["Jòb", "Cen", "Sàb", "Dom", "Lun", "Mar", "Mèr"]),
  ("sd_IN", ["وسپت", "جُمو", "ڇنڇر", "آرتوارُ", "سومرُ", "منگلُ", "ٻُڌرُ"]),
  ("sd_IN@devanagari", ["विस्पति", "जुमो", "छंछस", "आर्तवारू", "सूमरू", "मंगलू", "ॿुधरू"]),
  ("se_NO", ["duor", "bear", "láv", "sotn", "vuos", "maŋ", "gask"]),
  ("shs_CA", ["Sme", "Sts", "Stq", "Sxe", "Spe", "Sel", "Ske"]),
-- TODO: lexical error in Haskell
--  ("si_LK", ["බ්‍ර", "සි", "සෙ", "ඉ", "ස", "අ", "බ"]),
  ("sid_ET", ["Ham", "Arb", "Qid", "Sam", "San", "Mak", "Row"]),
  ("sk_SK.UTF-8", ["Št", "Pi", "So", "Ne", "Po", "Ut", "St"]),
  ("sl_SI.UTF-8", ["čet", "pet", "sob", "ned", "pon", "tor", "sre"]),
  ("so_DJ.UTF-8", ["kha", "jim", "sab", "axa", "isn", "sal", "arb"]),
  ("so_ET", ["Kha", "Jim", "Sab", "Axa", "Isn", "Sal", "Arb"]),
  ("so_KE.UTF-8", ["Kha", "Jim", "Sab", "Axa", "Isn", "Sal", "Arb"]),
  ("so_SO.UTF-8", ["Kha", "Jim", "Sab", "Axa", "Isn", "Sal", "Arb"]),
  ("sq_AL.UTF-8", ["Enj ", "Pre ", "Sht ", "Die ", "Hën ", "Mar ", "Mër "]),
  ("sq_MK", ["Enj ", "Pre ", "Sht ", "Die ", "Hën ", "Mar ", "Mër "]),
  ("sr_ME", ["чет", "пет", "суб", "нед", "пон", "уто", "сри"]),
  ("sr_RS", ["чет", "пет", "суб", "нед", "пон", "уто", "сре"]),
  ("sr_RS@latin", ["čet", "pet", "sub", "ned", "pon", "uto", "sre"]),
  ("ss_ZA", ["Ne", "Hla", "Mgc", "Son", "Mso", "Bil", "Tsa"]),
  ("st_ZA.UTF-8", ["Ne", "Hla", "Moq", "Son", "Mma", "Bed", "Rar"]),
  ("sv_FI.UTF-8", ["tor", "fre", "lör", "sön", "mån", "tis", "ons"]),
  ("sv_SE.UTF-8", ["tor", "fre", "lör", "sön", "mån", "tis", "ons"]),
  ("sw_KE", ["Alh", "Ij", "J1", "J2", "J3", "J4", "J5"]),
  ("sw_TZ", ["Alh", "Ij", "J1", "J2", "J3", "J4", "J5"]),
  ("ta_IN", ["வி", "வெ", "ச", "ஞா", "தி", "செ", "பு"]),
  ("te_IN", ["గురు", "శుక్ర", "శని", "ఆది", "సోమ", "మంగళ", "బుధ"]),
  ("tg_TJ.UTF-8", ["Чтв", "Птн", "Сбт", "Вск", "Пнд", "Втр", "Срд"]),
  ("th_TH.UTF-8", ["พฤ.", "ศ.", "ส.", "อา.", "จ.", "อ.", "พ."]),
  ("ti_ER", ["ሓሙስ", "ዓርቢ", "ቀዳም", "ሰንበ", "ሰኑይ", "ሰሉስ", "ረቡዕ"]),
  ("ti_ET", ["ሓሙስ", "ዓርቢ", "ቀዳም", "ሰንበ", "ሰኑይ", "ሰሉስ", "ረቡዕ"]),
  ("tig_ER", ["ከሚሽ", "ጅምዓ", "ሰ/ን", "ሰ/ዓ", "ሰኖ ", "ታላሸ", "ኣረር"]),
  ("tk_TM", ["Sog", "Ann", "Ruh", "Dyn", "Baş", "Yaş", "Hoş"]),
  ("tl_PH.UTF-8", ["Huw", "Biy", "Sab", "Lin", "Lun", "Mar", "Miy"]),
  ("tn_ZA", ["Ne", "Tlh", "Mat", "Tsh", "Mos", "Bed", "Rar"]),
  ("tr_CY.UTF-8", ["Prş", "Cum", "Cts", "Paz", "Pzt", "Sal", "Çrş"]),
  ("tr_TR.UTF-8", ["Prş", "Cum", "Cts", "Paz", "Pzt", "Sal", "Çrş"]),
  ("ts_ZA", ["Ne", "Tlh", "Mug", "Son", "Mus", "Bir", "Har"]),
  ("tt_RU.UTF-8", ["Пәнҗ", "Җом", "Шим", "Якш", "Дыш", "Сиш", "Чәрш"]),
  ("tt_RU.UTF-8@iqtelif", ["Pen", "Com", "Şim", "Yek", "Düş", "Siş", "Çer"]),
  ("ug_CN", ["Thu", "Fri", "Sat", "Sun", "Mon", "Tue", "Wed"]),
  ("uk_UA.UTF-8", ["чт", "пт", "сб", "нд", "пн", "вт", "ср"]),
  ("ur_PK", ["جمعرات", "جمعه", "هفته", "اتوار", "پير", "منگل", "بدھ"]),
  ("uz_UZ.UTF-8", ["Pay", "Ju", "Sha", "Yak", "Du", "Se", "Cho"]),
  ("uz_UZ@cyrillic", ["Пай", "Жум", "Шан", "Якш", "Душ", "Сеш", "Чор"]),
  ("ve_ZA", ["ṋa", "Ṱan", "Mug", "Swo", "Mus", "Vhi", "Rar"]),
  ("vi_VN", ["T5", "T6", "T7", "CN", "T2", "T3", "T4"]),
  ("wa_BE.UTF-8", ["dju", "vén", "sem", "dim", "lon", "mår", "mie"]),
  ("wo_SN", ["alx", "ajj", "gaa", "dib", "alt", "tal", "all"]),
  ("xh_ZA.UTF-8", ["Sin", "Hla", "Mgq", "Caw", "Mvu", "Bin", "Tha"]),
  ("yi_US.UTF-8", ["דאָנ'", "פֿרײַ'", "שבת", "זונ'", "מאָנ'", "דינ'", "מיט'"]),
  ("yo_NG", ["THU", "FRI", "SAT", "SUN", "MON", "TUE", "WED"]),
  ("zh_CN.UTF-8", ["四", "五", "六", "日", "一", "二", "三"]),
  ("zh_HK.UTF-8", ["四", "五", "六", "日", "一", "二", "三"]),
  ("zh_SG.UTF-8", ["星期四", "星期五", "星期六", "星期日", "星期一", "星期二", "星期三"]),
  ("zh_TW.UTF-8", ["四", "五", "六", "日", "一", "二", "三"]),
  ("zu_ZA.UTF-8", ["Sin", "Hla", "Mgq", "Son", "Mso", "Bil", "Tha"])
  ]
